namespace eval ::apache1.3:: {}

proc ::apache1.3::parseDirectoryIndex \
        {elements parser dirDef xmlConf currentContainer} {
    set xuiObj [apacheparserutils::getOrCreateIfNotExists directoryIndex \
            $dirDef $xmlConf $currentContainer]
    foreach index [lrange $elements 1 end ] {
        set newElement [ $xuiObj newChild ]
	$xuiObj insertChild $newElement
	$newElement setValue $index
    }
}

proc ::apache1.3::dumpDirectoryIndex { xuiObj } {
    if [llength [set children [ $xuiObj getChildren ]]] {
    set result "DirectoryIndex "
    foreach child [ $xuiObj getChildren ] {
	append result "[$child getValue] "
    }
        return $result\n
    } else {
       return {}
    }
}

